org.apache.ignite.internal.cluster

## Interface IgniteClusterEx

All Superinterfaces:
  ClusterGroup, ClusterGroupEx, IgniteAsyncSupport, IgniteCluster

All Known Implementing Classes:
  IgniteClusterImpl

    public interface IgniteClusterEx
    extends IgniteCluster, ClusterGroupEx

### Method Summary

### Methods inherited from interface org.apache.ignite.IgniteCluster

`clientReconnectFuture, forLocal, localNode, mapKeysToNodes, mapKeyToNode, nodeLocalMap, pingNode, resetMetrics, restartNodes, restartNodes, startNodes, startNodes, stopNodes, stopNodes, topology, topologyVersion, withAsync`

### Methods inherited from interface org.apache.ignite.lang.IgniteAsyncSupport

`future, isAsync`

### Methods inherited from interface org.apache.ignite.internal.cluster.ClusterGroupEx

`forCacheNodes, forSubjectId`

### Methods inherited from interface org.apache.ignite.cluster.ClusterGroup

`forAttribute, forCacheNodes, forClientNodes, forClients, forDaemons, forDataNodes, forHost, forHost, forNode, forNodeId, forNodeIds, forNodes, forOldest, forOthers, forOthers, forPredicate, forRandom, forRemotes, forServers, forYoungest, hostNames, ignite, metrics, node, node, nodes, predicate`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015